<div class="row">
    <div class="column1" style="width:60%;display:flex;">
        <mat-form-field appearance="outline" class="search" >
            <mat-label>Search</mat-label>
            <input matInput (keyup)="applyFilter($event.target.value)" style="font-family: 'Kanit', sans-serif;">
            <mat-icon matSuffix class="fontSize">search</mat-icon>
        </mat-form-field>
        <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="manage" class="w-40">
            จัดการข้อมูล <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
            <button mat-menu-item (click)=codeRoom()>
                <mat-icon>vpn_key</mat-icon>
                <span>รหัสห้อง</span>
            </button>
            <button mat-menu-item (click)=addMember()>
                <mat-icon>person_add</mat-icon>
                <span>เพิ่มรายชื่อ</span>
            </button>
            <button mat-menu-item (click)=importMembers()>
                <mat-icon>post_add</mat-icon>
                <span>นำเข้ารายชื่อ</span>
            </button>
        </mat-menu>

    </div>
</div>
<div class="side"></div>
<br>
<div class="mat-elevation-z1" style="width: 95%;margin: auto;margin-bottom: 50px;">
    <table mat-table [dataSource]="dataSource" matSort >
      
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"
               > ลำดับ </th>
            <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickUpdateReportMember(row)" routerLink="/reportMember" > {{row.id}} </td>
        </ng-container>

       
        <ng-container matColumnDef="username">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> รหัสผู้ใช้ </th>
            <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickUpdateReportMember(row)" routerLink="/reportMember" 
            >  <div *ngIf="row.start!=true">{{row.username}}</div> <div *ngIf="row.start==true" style="font-weight: bold;">{{row.username}}</div></td>
        </ng-container>

       
        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ชื่อ - นามสกุล </th>
            <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickUpdateReportMember(row)" routerLink="/reportMember"> 
                <div *ngIf="row.start!=true">{{row.name}}</div> <div *ngIf="row.start==true" style="font-weight: bold;">{{row.name}}</div></td>
        </ng-container>

       
        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> สถานะลงทะเบียนบัตร </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickUpdateReportMember(row)" routerLink="/reportMember" >
                    <div *ngIf="row.start!=true">{{row.status}}</div> <div *ngIf="row.start==true" style="font-weight: bold;">{{row.status}}</div></td>
        </ng-container>

        <ng-container matColumnDef="tool">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> เครื่องมือ </th>
            <td mat-cell *matCellDef="let row" class="table-list" >
                <img  src="../../../assets/img/icons/icon-credit.png" (click)=registerCredit(row) style="margin-right: 10px;cursor: pointer;"  >
                <img src="../../../assets/img/icons/icon-delete.png" (click)=deleteMember(row)>
                </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>
</div>
<router-outlet></router-outlet>
